
#    This file is part of PyTrucoEngine.
#
#    PyTrucoEngine is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    PyTrucoEngine is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with PyTrucoEngine.  If not, see <http://www.gnu.org/licenses/>.

class PlayingCard():
    """Generic representation of a playing card"""

    def __init__(self, face, number):
        self.face = face
        self.number = str(number)

    def __str__(self):
        return self.number + "_of_" + self.face
