
#    This file is part of PyTrucoEngine.
#
#    PyTrucoEngine is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    PyTrucoEngine is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with PyTrucoEngine.  If not, see <http://www.gnu.org/licenses/>.

from trucoplayingcard import TrucoPlayingCard
from playingcards.deck import Deck

cards = []

cards.append(TrucoPlayingCard("Espada", 1, 14, 1))
cards.append(TrucoPlayingCard("Espada", 2, 14, 2))
cards.append(TrucoPlayingCard("Espada", 3, 14, 3))
cards.append(TrucoPlayingCard("Espada", 4, 14, 4))
cards.append(TrucoPlayingCard("Espada", 5, 14, 5))
cards.append(TrucoPlayingCard("Espada", 6, 14, 6))
cards.append(TrucoPlayingCard("Espada", 7, 14, 7))
cards.append(TrucoPlayingCard("Espada", 10, 14, 0))
cards.append(TrucoPlayingCard("Espada", 11, 14, 0))
cards.append(TrucoPlayingCard("Espada", 12, 14, 0))

cards.append(TrucoPlayingCard("Basto", 1, 14, 1))
cards.append(TrucoPlayingCard("Basto", 2, 14, 2))
cards.append(TrucoPlayingCard("Basto", 3, 14, 3))
cards.append(TrucoPlayingCard("Basto", 4, 14, 4))
cards.append(TrucoPlayingCard("Basto", 5, 14, 5))
cards.append(TrucoPlayingCard("Basto", 6, 14, 6))
cards.append(TrucoPlayingCard("Basto", 7, 14, 7))
cards.append(TrucoPlayingCard("Basto", 10, 14, 0))
cards.append(TrucoPlayingCard("Basto", 11, 14, 0))
cards.append(TrucoPlayingCard("Basto", 12, 14, 0))

cards.append(TrucoPlayingCard("Oro", 1, 14, 1))
cards.append(TrucoPlayingCard("Oro", 2, 14, 2))
cards.append(TrucoPlayingCard("Oro", 3, 14, 3))
cards.append(TrucoPlayingCard("Oro", 4, 14, 4))
cards.append(TrucoPlayingCard("Oro", 5, 14, 5))
cards.append(TrucoPlayingCard("Oro", 6, 14, 6))
cards.append(TrucoPlayingCard("Oro", 7, 14, 7))
cards.append(TrucoPlayingCard("Oro", 10, 14, 0))
cards.append(TrucoPlayingCard("Oro", 11, 14, 0))
cards.append(TrucoPlayingCard("Oro", 12, 14, 0))

cards.append(TrucoPlayingCard("Copa", 1, 14, 1))
cards.append(TrucoPlayingCard("Copa", 2, 14, 2))
cards.append(TrucoPlayingCard("Copa", 3, 14, 3))
cards.append(TrucoPlayingCard("Copa", 4, 14, 4))
cards.append(TrucoPlayingCard("Copa", 5, 14, 5))
cards.append(TrucoPlayingCard("Copa", 6, 14, 6))
cards.append(TrucoPlayingCard("Copa", 7, 14, 7))
cards.append(TrucoPlayingCard("Copa", 10, 14, 0))
cards.append(TrucoPlayingCard("Copa", 11, 14, 0))
cards.append(TrucoPlayingCard("Copa", 12, 14, 0))

deck = Deck(cards)

class Truco():

    def __init__(self, players):
        self.players = players
        self.current_player = 0
        self.max_players = len(players)
        self.envido_acumulator = 0
        self.envido_status = 0
        self.truco_status = 0

    def next_player(self):
        if(self.current_player + 1 < self.max_players):
            self.current_player += 1
        else
            self.current_player = 0

    def calculate_envido_points(self):
        pass
